/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_SENT                                                     */
/* Tabela : SERIEENTR                                                         */
/*                                                                            */
/* Criao:                                                                   */
/* 03/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_SENT'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_SENT
GO

CREATE TRIGGER DTULTATU_SENT
ON SERIEENTR
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'SERIEENTR', null, 'CDSERIEENTR='  + CDSERIEENTR + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE SERIEENTR
      SET DTULTATUSENT = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(SERIEENTR.CDSERIEENTR,0) = ISNULL(INSERTED.CDSERIEENTR,0)) AND
            (ISNULL(SERIEENTR.DSSERIEENTR,0) = ISNULL(INSERTED.DSSERIEENTR,0));
   END;
END;
GO

