/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_TPRA                                                     */
/* Tabela : TIPOPRAT                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_TPRA'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_TPRA
GO

CREATE TRIGGER DTULTATU_TPRA
ON TIPOPRAT
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'TIPOPRAT', null, 'CDTIPOPRAT='+ CDTIPOPRAT+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE TIPOPRAT
      SET DTULTATUTPRA = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(TIPOPRAT.CDTIPOPRAT,0) = ISNULL(INSERTED.CDTIPOPRAT,0)) AND
            (ISNULL(TIPOPRAT.NMTIPOPRAT,0) = ISNULL(INSERTED.NMTIPOPRAT,0));
   END;
END;
GO

